AW: SV: Perl problems on Fedora 9 SOLVED

Oliver Falk oliver at
Wed May 6 20:35:59 IST 2009

I've tried to bug Fedota Perl packager to update a few modules and was successfull!
So, I wonder which packages need to be replaced by the MS!?
There was also some thread about why not package it within the distribution..
Well, if enough of you run Fedora... I can imagine a SIG. I can also imagine beeing the primary packager... If you want.
And finally. I can also imagine doing this for RHEL, using EPEL...

It's just a "Do you want this?"

Are there other Fedora packagers (or some who want to become one) who are willing to help? Because fom time to time I tend to enjoy some holiday :-)

Or - as an old RPM packager - shall I just try to fix broken specs and the

Keep me posted...


----- Ursprüngliche Nachricht -----
Von: Jonas Lilja <jonas.lilja at>
Gesendet: Mittwoch, 06. Mai 2009 21:09
An: MailScanner discussion <mailscanner at>
Betreff: SV: Perl problems on Fedora 9 SOLVED

Hi, I followed your suggestions and simply installed the missed perl-modules (and the perl-Pod-Simple) with yum. Now the install-script works fine.

Thanx guys


-----Ursprungligt meddelande-----
Från: mailscanner-bounces at [mailto:mailscanner-bounces at] För Eli Wapniarski
Skickat: den 6 maj 2009 19:14
Till: mailscanner at
Ämne: Re: Perl problems on Fedora 9

Try reinstalling  perl-ExtUtils-MakeMaker and perl-devel from Fedora's update repository. That should fix things. I had the same problem on Fedora 10.

After you've done that make a back up of /etc/Mailsacnner. Then, rpm -Uvh --force mailscanner-4.76.24-3.noarch.rpm. Then run the install script. Everything should be OK.


On Wednesday 06 May 2009 17:34:12 Jonas Lilja wrote:
> Hi, I've search for Perl issues in the archive of this list but can't find any solutions regarding Fedora 9 (I've understand that there is a lot of problems with Fedora 10). Now - when I try to install or upgrade (no matter what) I get this error:
> /usr/bin/perl "-Iblib/arch" "-Iblib/lib" "-MExtUtils::MY" -e "MY->fixin(shift)" blib/script/instmodsh
> Can't locate Pod/ in @INC (@INC contains: blib/arch blib/lib /usr/local/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/site_perl /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.10.0/Pod/ line 35.
> BEGIN failed--compilation aborted at /usr/lib/perl5/5.10.0/Pod/ line 35.
> Compilation failed in require at blib/lib/ExtUtils/Command/ line 95.
> make: *** [manifypods] Error 2
> error: Bad exit status from /var/tmp/rpm-tmp.30068 (%build)
> RPM build errors:
>     Bad exit status from /var/tmp/rpm-tmp.30068 (%build)
> Missing file /usr/src/redhat/RPMS/noarch/perl-ExtUtils-MakeMaker-6.50-2.noarch.rpm.
> Maybe it did not build correctly?
> ------------------------------------
> I have tried to remove MS completely and make a fresh installation but with the same result. I've also updated Perl (yum update perl*) but MS install script seems to remove that Perl-installation and try to install its own Perl-modules. Finally, I tried to install MS with nodeps but it didn't work

More information about the MailScanner mailing list